> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Profile List Items

> A `GET` to the `/profiles/{profileId}/lists/{listHandle}/items` endpoint allows your application to retrieve a listing of all Items of a Profile List.



## OpenAPI

````yaml get /v3/profiles/{profile}/lists/{handle}/items
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/lists/{handle}/items:
    get:
      tags:
        - Product List Item
      summary: Read Profile List Items
      description: >-
        A `GET` to the `/profiles/{profileId}/lists/{listHandle}/items` endpoint
        allows your application to retrieve a listing of all Items of a Profile
        List.
      operationId: profiles.lists.items.index
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
        - name: handle
          in: path
          required: true
          schema:
            type: string
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `ProductListItem`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductListItem'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ProductListItem:
      type: object
      properties:
        id:
          type: integer
        product_list_id:
          type: integer
        product_category:
          $ref: '#/components/schemas/Category'
        product_variant:
          $ref: '#/components/schemas/ProductVariant'
        product:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            title:
              type: string
            handle:
              type: string
            external_id:
              type:
                - string
                - 'null'
            status:
              type:
                - string
                - 'null'
            brand:
              type:
                - string
                - 'null'
            description:
              type:
                - string
                - 'null'
            web_url:
              type:
                - string
                - 'null'
            currency:
              type:
                - string
                - 'null'
            position:
              type: integer
            images:
              type: string
            systems:
              type: array
              items:
                $ref: '#/components/schemas/System'
            channels:
              type: array
              items:
                $ref: '#/components/schemas/System'
            tags:
              type: array
              items:
                $ref: '#/components/schemas/Tag'
            options:
              type: string
            custom_fields:
              type: array
              items:
                $ref: '#/components/schemas/CustomField'
            variants:
              type: array
              items:
                $ref: '#/components/schemas/ProductVariant'
            created_at:
              type: string
            updated_at:
              type: string
          required:
            - id
            - title
            - handle
            - external_id
            - status
            - brand
            - description
            - web_url
            - currency
            - position
            - images
            - systems
            - channels
            - tags
            - options
            - custom_fields
            - variants
            - created_at
            - updated_at
        custom_product:
          anyOf:
            - $ref: '#/components/schemas/CustomProduct'
            - type: 'null'
        created_at:
          type:
            - string
            - 'null'
        updated_at:
          type:
            - string
            - 'null'
        quantity:
          type:
            - integer
            - 'null'
        position:
          type:
            - integer
            - 'null'
        status:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        source:
          type:
            - string
            - 'null'
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            type:
              type: string
            name:
              type: string
            description:
              type: string
            phone:
              type: string
            email:
              type: string
            external_id:
              type: string
            is_published:
              type: string
            is_permanently_closed:
              type: string
            address:
              $ref: '#/components/schemas/Address'
          required:
            - id
            - type
            - name
            - description
            - phone
            - email
            - external_id
            - is_published
            - is_permanently_closed
            - address
        reservations:
          type: array
          items:
            $ref: '#/components/schemas/ProductListReservation'
        num_items:
          type:
            - string
            - 'null'
        transaction_items:
          type: array
          items:
            $ref: '#/components/schemas/ListItemTransactionItem'
      required:
        - id
        - product_list_id
        - product_category
        - product_variant
        - product
        - custom_product
        - created_at
        - updated_at
        - quantity
        - position
        - status
        - meta
        - source
        - location
        - reservations
        - num_items
        - transaction_items
      title: ProductListItem
    Category:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - created_at
        - updated_at
      title: Category
    ProductVariant:
      type: object
      properties:
        id:
          type: integer
        product_id:
          type: integer
        sku:
          type: string
        external_id:
          type:
            - string
            - 'null'
        barcode:
          type:
            - string
            - 'null'
        web_url:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        position:
          type: integer
        price:
          type: number
        price_discounted:
          type:
            - number
            - 'null'
        price_comparison:
          type:
            - number
            - 'null'
        price_cost:
          type:
            - number
            - 'null'
        available_quantity:
          type:
            - integer
            - 'null'
        images:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOption'
        created_at:
          type: string
        updated_at:
          type: string
        deleted_at:
          type: string
      required:
        - id
        - product_id
        - sku
        - external_id
        - barcode
        - web_url
        - handle
        - title
        - description
        - position
        - price
        - price_discounted
        - price_comparison
        - price_cost
        - available_quantity
        - images
        - meta
        - tags
        - options
        - created_at
        - updated_at
        - deleted_at
      title: ProductVariant
    System:
      type: string
      title: System
    Tag:
      type: string
      title: Tag
    CustomField:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        handle:
          type: string
        namespace:
          type: string
        value:
          type: string
        type:
          type: string
        custom_fieldable_type:
          type: string
        custom_fieldable:
          anyOf:
            - type: 'null'
            - $ref: '#/components/schemas/TransactionBasic'
            - type: object
              properties:
                id:
                  type: integer
                address_line_1:
                  type: string
                address_line_2:
                  type: string
                address_line_3:
                  type: string
                city:
                  type: string
                postcode:
                  type: string
                state:
                  type: string
                country:
                  type: string
                phone:
                  type: string
                external_id:
                  type: string
                iso:
                  type: string
                iso_state:
                  type: string
                profile_id:
                  type: string
              required:
                - id
                - address_line_1
                - address_line_2
                - address_line_3
                - city
                - postcode
                - state
                - country
                - phone
                - external_id
                - iso
                - iso_state
                - profile_id
        created_at:
          type: string
        updated_at:
          type: string
        is_index:
          type:
            - integer
            - 'null'
      required:
        - name
        - handle
        - namespace
        - value
        - type
        - custom_fieldable_type
        - custom_fieldable
        - created_at
        - updated_at
        - is_index
      title: CustomField
    CustomProduct:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        barcode:
          type:
            - string
            - 'null'
        sku:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        price:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        product_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - description
        - barcode
        - sku
        - url
        - price
        - currency
        - image_url
        - product_id
        - created_at
        - updated_at
      title: CustomProduct
    Address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
        address_line_2:
          type:
            - string
            - 'null'
        address_line_3:
          type:
            - string
            - 'null'
        company:
          type:
            - string
            - 'null'
        latitude:
          type:
            - number
            - 'null'
        longitude:
          type:
            - number
            - 'null'
        city:
          type: string
        postcode:
          type: string
        state:
          type:
            - string
            - 'null'
        country:
          type: string
        notes:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        name:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        iso:
          type:
            - string
            - 'null'
        iso_state:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        custom_fields:
          type: object
          additionalProperties: {}
      required:
        - id
        - address_line_1
        - address_line_2
        - address_line_3
        - company
        - latitude
        - longitude
        - city
        - postcode
        - state
        - country
        - notes
        - external_id
        - is_default
        - created_at
        - updated_at
        - meta
        - name
        - type
        - phone
        - iso
        - iso_state
        - profile_id
        - custom_fields
      title: Address
    ProductListReservation:
      type: object
      properties:
        id:
          type: integer
        profile:
          anyOf:
            - $ref: '#/components/schemas/Profile'
            - type: 'null'
        external_profile_id:
          type:
            - string
            - 'null'
        product_list_item_id:
          type: integer
        product_list_id:
          type:
            - integer
            - 'null'
        quantity:
          type:
            - integer
            - 'null'
        timezone:
          type:
            - string
            - 'null'
        expires_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile
        - external_profile_id
        - product_list_item_id
        - product_list_id
        - quantity
        - timezone
        - expires_at
        - created_at
        - updated_at
      title: ProductListReservation
    ListItemTransactionItem:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        name:
          type: string
        transaction_id:
          type: string
        product_id:
          type:
            - string
            - 'null'
        product_variant_id:
          type: string
        sku:
          type: string
        variant_external_id:
          type: string
        is_void:
          type: string
        quantity:
          type: string
        price_current:
          type: string
        price_sell:
          type: string
        price_original:
          type: string
        price_margin:
          type: string
        price_tax:
          type: string
        is_return:
          type: string
        discounts:
          type: string
        department:
          type: string
        meta:
          type: string
        product_images:
          type: string
        order_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        pivot:
          anyOf:
            - type: object
              properties:
                created_at:
                  type: string
                updated_at:
                  type: string
              required:
                - created_at
                - updated_at
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        transaction:
          type: object
          properties:
            transacted_at:
              type: string
            receipt_ref:
              type: string
            external_id:
              type: string
            profile:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                first_name:
                  type: string
                last_name:
                  type: string
                email:
                  type: string
              required:
                - id
                - first_name
                - last_name
                - email
          required:
            - transacted_at
            - receipt_ref
            - external_id
            - profile
      required:
        - id
        - external_id
        - name
        - transaction_id
        - product_id
        - product_variant_id
        - sku
        - variant_external_id
        - is_void
        - quantity
        - price_current
        - price_sell
        - price_original
        - price_margin
        - price_tax
        - is_return
        - discounts
        - department
        - meta
        - product_images
        - order_id
        - created_at
        - updated_at
        - pivot
        - transaction
      title: ListItemTransactionItem
    ProductOption:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
      required:
        - name
        - value
        - sort_order
      title: ProductOption
    TransactionBasic:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        profile_id:
          type: string
        meta:
          type: string
        total:
          type: string
        total_original:
          type: string
        rounding:
          type: string
        margin:
          type: string
        is_void:
          type: string
        transacted_at:
          type: string
        timezone:
          type: string
        payments:
          type: string
        receipt_is_email:
          type: string
        receipt_ref:
          type: string
        linked_receipt_ref:
          type: string
        claimed_at:
          type: string
        receipt_email:
          type: string
        currency_id:
          type: string
        currency_rate:
          type: string
        currency:
          type: string
        type:
          type: string
        status:
          type: string
        order_number:
          type: string
        order_id:
          type: string
        external_order_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - external_id
        - profile_id
        - meta
        - total
        - total_original
        - rounding
        - margin
        - is_void
        - transacted_at
        - timezone
        - payments
        - receipt_is_email
        - receipt_ref
        - linked_receipt_ref
        - claimed_at
        - receipt_email
        - currency_id
        - currency_rate
        - currency
        - type
        - status
        - order_number
        - order_id
        - external_order_id
        - created_at
        - updated_at
      title: TransactionBasic
    Profile:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        title:
          type:
            - string
            - 'null'
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        full_name:
          type: string
        email:
          type: string
        gender:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        joined_at:
          type: string
        mobile_phone:
          type:
            - string
            - 'null'
        mobile_phone_country:
          type: string
        mobile_phone_national:
          type: string
        mobile_phone_national_prefix:
          anyOf:
            - type: array
              items: {}
            - type: string
        mobile_phone_e164:
          type: string
        secondary_phone:
          type:
            - string
            - 'null'
        birth_year:
          type:
            - integer
            - 'null'
        birth_month:
          type:
            - integer
            - 'null'
        birth_day:
          type:
            - integer
            - 'null'
        company:
          type:
            - string
            - 'null'
        occupation:
          type:
            - string
            - 'null'
        avatar_url:
          type:
            - string
            - 'null'
        preferred_location_id:
          type:
            - integer
            - 'null'
        joined_location_id:
          type:
            - integer
            - 'null'
        joined_location:
          $ref: '#/components/schemas/Location'
        preferred_location:
          $ref: '#/components/schemas/Location'
        preferred_staff_id:
          type:
            - string
            - 'null'
        preferred_staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            full_name:
              type: string
            email:
              type: string
            identities:
              type: array
              items:
                $ref: '#/components/schemas/Identity'
          required:
            - id
            - full_name
            - email
            - identities
        joined_staff_id:
          type:
            - string
            - 'null'
        joined_staff:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            full_name:
              type: string
            email:
              type: string
            identities:
              type: array
              items:
                $ref: '#/components/schemas/Identity'
          required:
            - id
            - full_name
            - email
            - identities
        tier_handle:
          type: string
        tier:
          anyOf:
            - $ref: '#/components/schemas/Tier'
            - type: 'null'
        birth_date:
          type: string
        birth_days:
          type: string
        birth_days_past:
          type: string
        next_birthday:
          type: string
        identities:
          type: array
          items:
            $ref: '#/components/schemas/Identity'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        attributes:
          type: object
          properties:
            comms:
              $ref: '#/components/schemas/ProfileCommsAttribute'
            appearance:
              $ref: '#/components/schemas/ProfileAppearanceAttribute'
            dates:
              type: array
              items:
                $ref: '#/components/schemas/ProfileDatesAttribute'
          required:
            - comms
            - appearance
            - dates
        statuses:
          type: array
          items: {}
        statuses_original:
          type: array
          items:
            $ref: '#/components/schemas/ProfileStatus'
        custom_attributes:
          type: object
          additionalProperties: {}
        address:
          $ref: '#/components/schemas/Address'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        reward_balance:
          type: string
        point_balance:
          type: string
        benefit_balance:
          type: string
        credit_balance:
          type: string
        combined_balance_dollars:
          type: string
        point_balance_dollars:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        is_public:
          type: boolean
        profile_type:
          type:
            - string
            - 'null'
        created_by:
          type:
            - string
            - 'null'
        region:
          anyOf:
            - $ref: '#/components/schemas/ProfileRegion'
            - type: 'null'
        regions:
          type: array
          items:
            $ref: '#/components/schemas/ProfileRegion'
        organisations:
          type: array
          items:
            $ref: '#/components/schemas/ProfileOrganisation'
        normal_hours:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              day_of_week:
                type: string
              is_closed:
                type: string
              available_from:
                type: string
              available_until:
                type: string
            required:
              - id
              - day_of_week
              - is_closed
              - available_from
              - available_until
        special_hours:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              is_repeating:
                type: string
              is_closed:
                type: string
              available_from:
                type: string
              available_until:
                type: string
              start_at:
                type: string
              end_at:
                type: string
            required:
              - id
              - name
              - is_repeating
              - is_closed
              - available_from
              - available_until
              - start_at
              - end_at
      required:
        - id
        - external_id
        - title
        - first_name
        - last_name
        - full_name
        - email
        - gender
        - currency
        - joined_at
        - mobile_phone
        - mobile_phone_country
        - mobile_phone_national
        - mobile_phone_national_prefix
        - mobile_phone_e164
        - secondary_phone
        - birth_year
        - birth_month
        - birth_day
        - company
        - occupation
        - avatar_url
        - preferred_location_id
        - joined_location_id
        - joined_location
        - preferred_location
        - preferred_staff_id
        - preferred_staff
        - joined_staff_id
        - joined_staff
        - tier_handle
        - tier
        - birth_date
        - birth_days
        - birth_days_past
        - next_birthday
        - identities
        - tags
        - attributes
        - statuses
        - statuses_original
        - custom_attributes
        - address
        - addresses
        - reward_balance
        - point_balance
        - benefit_balance
        - credit_balance
        - combined_balance_dollars
        - point_balance_dollars
        - created_at
        - updated_at
        - is_public
        - profile_type
        - created_by
        - region
        - regions
        - organisations
        - normal_hours
        - special_hours
      title: Profile
    Location:
      type: object
      properties:
        id:
          type: integer
        type:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        handle:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        timezone:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        external_code:
          type:
            - string
            - 'null'
        is_published:
          type: boolean
        is_permanently_closed:
          type: boolean
        address:
          $ref: '#/components/schemas/Address'
        normal_hours:
          type: array
          items:
            $ref: '#/components/schemas/LocationHour'
        special_hours:
          type: array
          items:
            $ref: '#/components/schemas/LocationHour'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        custom_fields:
          type: object
          additionalProperties: {}
        icon:
          type:
            - string
            - 'null'
        country_iso_3:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        departments:
          type: array
          items:
            $ref: '#/components/schemas/Department'
      required:
        - id
        - type
        - name
        - handle
        - description
        - phone
        - email
        - timezone
        - external_id
        - external_code
        - is_published
        - is_permanently_closed
        - address
        - normal_hours
        - special_hours
        - tags
        - custom_fields
        - icon
        - country_iso_3
        - image_url
        - created_at
        - updated_at
        - departments
      title: Location
    Identity:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        identifier:
          type: string
        is_primary:
          type: boolean
        is_active:
          type: boolean
        profile_id:
          type:
            - string
            - 'null'
        merged_from:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        profile:
          $ref: '#/components/schemas/ProfileWithoutIdentity'
      required:
        - id
        - handle
        - identifier
        - is_primary
        - is_active
        - profile_id
        - merged_from
        - created_at
        - updated_at
        - profile
      title: Identity
    Tier:
      type:
        - object
        - 'null'
      properties:
        id:
          type: integer
        profile_id:
          type: string
        name:
          type: string
        handle:
          type: string
        anniversary_at:
          type: string
        maintained_at:
          type: string
        assigned_at:
          type: string
        achieved_at:
          type: string
      required:
        - id
        - profile_id
        - name
        - handle
        - anniversary_at
        - maintained_at
        - assigned_at
        - achieved_at
      title: Tier
    ProfileCommsAttribute:
      type: array
      items: {}
      title: ProfileCommsAttribute
    ProfileAppearanceAttribute:
      type: object
      properties:
        profile_id:
          type: string
        hair_colour:
          type: string
        hair_length:
          type: string
        shape_body:
          type: string
        shape_face:
          type: string
        size_cup:
          type: string
        size_hat:
          type: string
        size_formal_jacket:
          type: string
        size_formal_jacket_length:
          type: string
        size_formal_shirt:
          type: string
        size_formal_shirt_fit:
          type: string
        size_formal_trouser:
          type: string
        size_formal_trouser_drop:
          type: string
        size_formal_trouser_leg:
          type: string
        size_jacket:
          type: string
        size_pant:
          type: string
        size_shoe:
          type: string
        size_type_age:
          type: string
        size_type_region:
          type: string
        size_top:
          type: string
        size_gloves:
          type: string
        size_swimwear_top:
          type: string
        size_swimwear_bottom:
          type: string
        size_swimwear_cup:
          type: string
        size_dress:
          type: string
        skin_type:
          type: string
        measurement_arm:
          type: string
        measurement_arm_inside:
          type: string
        measurement_bust:
          type: string
        measurement_chest:
          type: string
        measurement_foot_length:
          type: string
        measurement_head:
          type: string
        measurement_height:
          type: string
        measurement_hip:
          type: string
        measurement_leg_inside:
          type: string
        measurement_leg_outside:
          type: string
        measurement_neck:
          type: string
        measurement_neck_to_wrist:
          type: string
        measurement_shoulders:
          type: string
        measurement_waist:
          type: string
        measurement_weight:
          type: string
        brow_colour:
          type: string
        eye_colour:
          type: string
        measurement_hand_right_thumb:
          type: string
        measurement_hand_right_index:
          type: string
        measurement_hand_right_middle:
          type: string
        measurement_hand_right_ring:
          type: string
        measurement_hand_right_pinky:
          type: string
        measurement_hand_left_thumb:
          type: string
        measurement_hand_left_index:
          type: string
        measurement_hand_left_middle:
          type: string
        measurement_hand_left_ring:
          type: string
        measurement_hand_left_pinky:
          type: string
        measurement_ear_helix:
          type: string
        measurement_ear_forward_helix:
          type: string
        measurement_ear_flat:
          type: string
        measurement_ear_conch:
          type: string
        measurement_ear_tragus:
          type: string
        measurement_ear_lobe:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - profile_id
        - hair_colour
        - hair_length
        - shape_body
        - shape_face
        - size_cup
        - size_hat
        - size_formal_jacket
        - size_formal_jacket_length
        - size_formal_shirt
        - size_formal_shirt_fit
        - size_formal_trouser
        - size_formal_trouser_drop
        - size_formal_trouser_leg
        - size_jacket
        - size_pant
        - size_shoe
        - size_type_age
        - size_type_region
        - size_top
        - size_gloves
        - size_swimwear_top
        - size_swimwear_bottom
        - size_swimwear_cup
        - size_dress
        - skin_type
        - measurement_arm
        - measurement_arm_inside
        - measurement_bust
        - measurement_chest
        - measurement_foot_length
        - measurement_head
        - measurement_height
        - measurement_hip
        - measurement_leg_inside
        - measurement_leg_outside
        - measurement_neck
        - measurement_neck_to_wrist
        - measurement_shoulders
        - measurement_waist
        - measurement_weight
        - brow_colour
        - eye_colour
        - measurement_hand_right_thumb
        - measurement_hand_right_index
        - measurement_hand_right_middle
        - measurement_hand_right_ring
        - measurement_hand_right_pinky
        - measurement_hand_left_thumb
        - measurement_hand_left_index
        - measurement_hand_left_middle
        - measurement_hand_left_ring
        - measurement_hand_left_pinky
        - measurement_ear_helix
        - measurement_ear_forward_helix
        - measurement_ear_flat
        - measurement_ear_conch
        - measurement_ear_tragus
        - measurement_ear_lobe
        - created_at
        - updated_at
      title: ProfileAppearanceAttribute
    ProfileDatesAttribute:
      type: object
      properties:
        id:
          type: string
        profile_id:
          type: string
        date:
          type: string
        is_recurring:
          type: string
        recurring_schedule:
          type: string
        name:
          type: string
        handle:
          type: string
        relationship:
          type: string
        role:
          type: string
        description:
          type: string
        meta:
          type: string
        note:
          type: string
        links:
          type: array
          items:
            $ref: '#/components/schemas/ProfileDatesAttributeLink'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - date
        - is_recurring
        - recurring_schedule
        - name
        - handle
        - relationship
        - role
        - description
        - meta
        - note
        - links
        - created_at
        - updated_at
      title: ProfileDatesAttribute
    ProfileStatus:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        sort_order:
          type: string
        description:
          type: string
        short_description:
          type: string
        long_description:
          type: string
        terms_conditions:
          type: string
        icon:
          type: string
        image_url:
          type: string
        earn_instructions:
          type: string
        colour:
          type: string
        text_colour:
          type: string
        primary_colour:
          type: string
        secondary_colour:
          type: string
        code:
          type: string
        internal_notes:
          type: string
        group_name:
          type: string
        group_handle:
          type: string
        timezone:
          type: string
        period:
          type: string
        period_type:
          type: string
        absolute_expiry:
          type: string
        expires_at:
          type: string
        is_active:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - sort_order
        - description
        - short_description
        - long_description
        - terms_conditions
        - icon
        - image_url
        - earn_instructions
        - colour
        - text_colour
        - primary_colour
        - secondary_colour
        - code
        - internal_notes
        - group_name
        - group_handle
        - timezone
        - period
        - period_type
        - absolute_expiry
        - expires_at
        - is_active
        - created_at
        - updated_at
      title: ProfileStatus
    ProfileRegion:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        is_active:
          type: string
        country:
          type: string
        state:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - is_active
        - country
        - state
        - created_at
        - updated_at
      title: ProfileRegion
    ProfileOrganisation:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        description:
          type: string
        short_description:
          type: string
        icon:
          type: string
        image_url:
          type: string
        notes:
          type: string
        type:
          type: string
        status:
          type: string
        is_tenant:
          type: string
        is_active:
          type: string
        phone:
          type: string
        email:
          type: string
        secondary_phone:
          type: string
        domain:
          type: string
        authorised_domains:
          type: string
        role_definition:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
            description:
              type: string
          required:
            - id
            - name
            - handle
            - description
        expires_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - description
        - short_description
        - icon
        - image_url
        - notes
        - type
        - status
        - is_tenant
        - is_active
        - phone
        - email
        - secondary_phone
        - domain
        - authorised_domains
        - role_definition
        - expires_at
        - created_at
        - updated_at
      title: ProfileOrganisation
    LocationHour:
      type: array
      items: {}
      title: LocationHour
    Department:
      type: object
      properties:
        id:
          type: integer
        name:
          type:
            - string
            - 'null'
        handle:
          type: string
        external_id:
          type:
            - string
            - 'null'
        external_code:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        short_description:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        internal_note:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        brand_id:
          type: integer
        location_id:
          type:
            - integer
            - 'null'
        brand:
          type: object
          properties:
            name:
              type: string
            handle:
              type: string
          required:
            - name
            - handle
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - external_id
        - external_code
        - description
        - short_description
        - url
        - image_url
        - internal_note
        - meta
        - brand_id
        - location_id
        - brand
        - created_at
        - updated_at
      title: Department
    ProfileWithoutIdentity:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        title:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        full_name:
          type: string
        email:
          type: string
        gender:
          type: string
        currency:
          type: string
        joined_at:
          type: string
        mobile_phone:
          type: string
        mobile_phone_country:
          type: string
        mobile_phone_national:
          type: string
        mobile_phone_national_prefix:
          anyOf:
            - type: array
              items: {}
            - type: string
        mobile_phone_e164:
          type: string
        secondary_phone:
          type: string
        birth_year:
          type: string
        birth_month:
          type: string
        birth_day:
          type: string
        company:
          type: string
        occupation:
          type: string
        avatar_url:
          type: string
        preferred_location_id:
          type: string
        joined_location_id:
          type: string
        joined_location:
          $ref: '#/components/schemas/Location'
        preferred_location:
          $ref: '#/components/schemas/Location'
        tier_handle:
          type: string
        tier:
          $ref: '#/components/schemas/Tier'
        birth_date:
          type: string
        birth_days:
          type: string
        birth_days_past:
          type: string
        next_birthday:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        attributes:
          type: object
          properties:
            comms:
              $ref: '#/components/schemas/ProfileCommsAttribute'
            appearance:
              $ref: '#/components/schemas/ProfileAppearanceAttribute'
            dates:
              type: array
              items:
                $ref: '#/components/schemas/ProfileDatesAttribute'
          required:
            - comms
            - appearance
            - dates
        statuses:
          type: array
          items: {}
        statuses_original:
          type: array
          items:
            $ref: '#/components/schemas/StatusOriginal'
        custom_attributes:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
        reward_balance:
          type: string
        point_balance:
          type: string
        benefit_balance:
          type: string
        combined_balance_dollars:
          type: string
        point_balance_dollars:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        profile_type:
          type: string
        region:
          anyOf:
            - $ref: '#/components/schemas/ProfileRegion'
            - type: 'null'
        regions:
          type: array
          items:
            $ref: '#/components/schemas/ProfileRegion'
      required:
        - id
        - external_id
        - title
        - first_name
        - last_name
        - full_name
        - email
        - gender
        - currency
        - joined_at
        - mobile_phone
        - mobile_phone_country
        - mobile_phone_national
        - mobile_phone_national_prefix
        - mobile_phone_e164
        - secondary_phone
        - birth_year
        - birth_month
        - birth_day
        - company
        - occupation
        - avatar_url
        - preferred_location_id
        - joined_location_id
        - joined_location
        - preferred_location
        - tier_handle
        - tier
        - birth_date
        - birth_days
        - birth_days_past
        - next_birthday
        - tags
        - attributes
        - statuses
        - statuses_original
        - custom_attributes
        - address
        - addresses
        - reward_balance
        - point_balance
        - benefit_balance
        - combined_balance_dollars
        - point_balance_dollars
        - created_at
        - updated_at
        - profile_type
        - region
        - regions
      title: ProfileWithoutIdentity
    ProfileDatesAttributeLink:
      type: object
      properties:
        id:
          type: string
        attributes_date_id:
          type: string
        profile_id:
          type: string
        relationship:
          type: string
        role:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - attributes_date_id
        - profile_id
        - relationship
        - role
        - created_at
        - updated_at
      title: ProfileDatesAttributeLink
    StatusOriginal:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        sort_order:
          type: string
        description:
          type: string
        short_description:
          type: string
        long_description:
          type: string
        terms_conditions:
          type: string
        icon:
          type: string
        image_url:
          type: string
        earn_instructions:
          type: string
        colour:
          type: string
        primary_colour:
          type: string
        secondary_colour:
          type: string
        text_colour:
          type: string
        code:
          type: string
        internal_notes:
          type: string
        group_name:
          type: string
        group_handle:
          type: string
        timezone:
          type: string
        period:
          type: string
        period_type:
          type: string
        absolute_expiry:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - sort_order
        - description
        - short_description
        - long_description
        - terms_conditions
        - icon
        - image_url
        - earn_instructions
        - colour
        - primary_colour
        - secondary_colour
        - text_colour
        - code
        - internal_notes
        - group_name
        - group_handle
        - timezone
        - period
        - period_type
        - absolute_expiry
        - created_at
        - updated_at
      title: StatusOriginal
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````